export enum AISMessageType {

	POSITION_REPORT_CLASS_A_SCHEDULED=1,
	POSITION_REPORT_CLASS_A_ASSIGNED_SCHEDULE=2,
	POSITION_REPORT_CLASS_A_RESPONSE_TO_INTERROGATION=3,
	BASE_STATION_REPORT=4,
	SHIP_AND_VOYAGE_RELATED_DATA=5,
	ADDRESSED_BINARY_MESSAGE=6,
	BINARY_ACKNOWLEDGE=7,
	BINARY_BROADCAST_MESSAGE=8,
	STANDARD_SAR_AIRCRAFT_POSITION_REPORT=9,
	UTC_AND_DATE_INQUIRY=10,
	UTC_AND_DATE_RESPONSE=11,
	ADDRESSED_SAFETY_RELATED_MESSAGE=12,
	SAFETY_RELATED_ACKNOWLEDGE=13,
	SAFETY_RELATED_BROADCAST_MESSAGE=14,
	INTERROGATION=15,
	ASSIGNED_MODE_COMMAND=16,
	GNSS_BINARY_BROADCAST_MESSAGE=17,
	STANDARD_CLASS_BCS_POSITION_REPORT=18,
	EXTENDED_CLASS_B_EQUIPMENT_POSITION_REPORT=19,
	DATA_LINK_MANAGEMENT=20,
	AID_TO_NAVIGATION_REPORT=21,
	CHANNEL_MANAGEMENT=22,
	GROUP_ASSIGNMENT_COMMAND=23,
	CLASS_BCS_STATIC_DATA_REPORT=24,
	BINARY_MESSAGE_SINGLE_SLOT=25,
	BINARY_MESSAGE_MULTIPLE_SLOT=26,
	LONG_RANGE_BROADCAST_MESSAGE=27,
	ERROR=-1
}